Main Page Widgets Namespaces Book

# Gtk::Menu_Helpers::TearoffMenuElem Class Reference

Inheritance diagram for Gtk::Menu_Helpers::TearoffMenuElem:

[legend]
List of all members.

## Public Member Functions

| TearoffMenuElem (TearoffMenuItem& child)
| TearoffMenuElem (const CallSlot& slot=CallSlot())
| Create a non-accelerated TearoffMenuItem with a SigC::Slot.
| TearoffMenuElem (const AccelKey& key, const CallSlot& slot=CallSlot())
| Create accelerated TearoffMenuItem with a SigC::Slot.

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | TearoffMenuItem& | child | ) |

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | const CallSlot& | slot = CallSlot() | ) |

Create a non-accelerated TearoffMenuItem with a SigC::Slot.

Parameters:

  slot | Use SigC::slot() to specify a signal handler

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | const AccelKey& | key,
|  | const CallSlot& | slot = CallSlot()
| ) |

Create accelerated TearoffMenuItem with a SigC::Slot.

Parameters:

  key | The accelerator key combination
  slot | Use SigC::slot() to specify a signal handler

The documentation for this class was generated from the following file:

- menu_elems.h